D. Recommended OpenLDAP Software Dependency Versions

This appendix details the recommended versions of the software that OpenLDAP depends on.

Please read the Prerequisite software section for more information on the following software dependencies.


D.1. Dependency Versions

Table 8.5: OpenLDAP Software Dependency Versions
Feature Software Version
 Transport Layer Security:    
   OpenSSL 0.9.7+
   GnuTLS 2.12.0
   MozNSS 3.12.9
 Simple Authentication and Security Layer  Cyrus SASL 2.1.21+
 Kerberos Authentication Service:    
   Heimdal Version
   MIT Kerberos Version
Database Software  Berkeley DB: 5.3
    Note: It is highly recommended to apply the patches from Oracle for a given release.
Threads:    
  POSIX pthreads Version
  Mach CThreads Version
TCP Wrappers Name Version